Update ORGANISATION

Updates ORGANISATION identified by uid_based_id.

The uid_based_id can take only a form of an HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. a versioned_object_uid).

If the request body already contains a ORGANISATION.uid.value, it must match the uid_based_id in the URL.

The existing latest version_uid of ORGANISATION resource (i.e. the preceding_version_uid) must be specified in the If-Match header.

Path Parameters
  • uid_based_id
    Type: stringFormat: uuid
    required

    An identifier in a form of a HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. a versioned_object_uid).

Headers
  • If-Match
    Type: string
    required

    Header to make the request conditional. Together with ETag request tag, it helps to prevent simultaneous updates of a resource from overwriting each other ("mid-air collisions"). The format is always an version_uid identifier enclosed by double quotes. The operation will be performed only if the existing latest version_uid of the resource (i.e. the preceding_version_uid) matches this header's value.

  • Prefer
    Type: stringenum

    Request header to indicate the preference over response details. The response will contain the entire resource when the Prefer header has a value of return=representation, or only the resource identifier (e.g., the uid) when the value is return=identifier.

    values
    • return=representation
    • return=minimal
    • return=identifier
Body
required
application/json

The new ORGANISATION.

  • archetype_node_id
    Type: string
    required
  • identities
    Type: array object[] · ListOfPartyIdentity
    required
  • name
    Type: object · DV_TEXT
    required

    Polymorphic DV_TEXT wrapper. See concrete leaf schemas:

    • UMDvText
    • UMDvCodedText
  • _type
    enum
    const:  
    ORGANISATION
    values
    • ORGANISATION
  • archetype_details
    Type: object · ARCHETYPED
  • contacts
    Type: array object[] · ListOfContact
  • details
    Type: object · ITEM_STRUCTURE

    Polymorphic ITEM_STRUCTURE wrapper. See concrete leaf schemas:

    • ItemSingle
    • ItemList
    • ItemTable
    • ItemTree
  • feeder_audit
    Type: object · FEEDER_AUDIT
  • languages
    Type: array object[] · DV_TEXT[]
    Empty object
  • Type: array object[] · LINK[]
  • relationships
    Type: array object[] · ListOfPartyRelationShip
  • roles
    Type: array object[] · PARTY_REF[]

    Identifier for parties in a demographic or identity service.

Responses
  • application/json
  • application/json
  • 404

    404 Not Found is returned when, based on the request parameters, the server did not find a current representation of a target resource, or is not willing to disclose that one exists.

  • 422

    422 Unprocessable Entity is returned when the content type and syntax is correct, could be converted to a resource, but there are semantic validation errors, such as the underlying template is not known or is not validating the supplied resource.

Request Example for put/demographic/organisation/{uid_based_id}
curl https://cataniamc.prod.cadasto.com/v1/demographic/organisation/123e4567-e89b-12d3-a456-426614174000 \
--request PUT \
--header 'If-Match: ' \
--header 'Prefer: return=minimal' \
--header 'Content-Type: application/json' \
--data '{
"_type": "ORGANISATION",
"name": {},
"archetype_node_id": "",
"uid": {
{
"_type": "ORGANISATION",
"name": {},
"archetype_node_id": "string",
"uid": {
"_type": "HIER_OBJECT_ID",
"value": "123e4567-e89b-12d3-a456-426614174000"
},
"links": [
{